6.0.0-git
2019-04-23

[#8821] Not all users are getting a reminder
Summary Not all users are getting a reminder
Queue Horde Base
Queue Version 3.3.6
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester 80602 (at) heygel (dot) ch
Created 2010-01-08 (3392 days ago)
Due
Updated 2010-02-10 (3359 days ago)
Assigned 2010-01-10 (3390 days ago)
Resolved 2010-02-04 (3365 days ago)
Milestone 3.3.7
Patch No

History
2010-02-04 18:03:43 Jan Schneider Comment #4
State ⇒ Resolved
Milestone ⇒ 3.3.7
Reply to this comment
Fixed for the next release.
2010-01-10 19:31:07 Chuck Hagenbuch Assigned to Jan Schneider
State ⇒ Assigned
 
2010-01-08 17:57:09 80602 (at) heygel (dot) ch Comment #2 Reply to this comment
Of course "all except the *LAST* found alarm gets lost in this array" 
is correct.
2010-01-08 17:54:37 80602 (at) heygel (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Not all users are getting a reminder
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
On shared calendars with multiple users having reading access and 
having configured "On all calendars I have read access to" for setting 
"Choose if you want to receive reminders for events with alarms:", an 
alarm is always sent only to one of those users.

I think, I found the cause to this problem:
On line 164 of /lib/Horde/Alarm/sql.php the $alarms array is filled 
with $alarm['alarm_id'] as key. However it's possible, that multiple 
records in horde_alarms share the same "alarm_id" and all except the 
first found alarm gets lost in this array. So it's not a good idea to 
use this alarm_id as array key.

Saved Queries